%define upstream_name    CPAN-PackageDetails
%define upstream_version 0.25

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Create or read 02packages.details.txt.gz
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Compress::Gzip)
BuildRequires: perl(IO::Uncompress::Gunzip)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Output)
BuildRequires: perl(version)
BuildArch: noarch

%description
An entry is a single line from _02packages.details.txt_ that maps a package
name to a source. It's a whitespace-separated list that has the values for
the column identified in the "columns" field in the header.

By default, there are three columns: package name, version, and path.

Inside a CPAN::PackageDetails object, the actual work and manipulation of
the entries are handled by delegate classes specified in 'entries_class'
and 'entry_class'). At the moment these are immutable, so you'd have to
subclass this module to change them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Tue Dec 20 2011 shlomif <shlomif> 0.250.0-1.mga2
+ Revision: 184796
- imported package perl-CPAN-PackageDetails


* Tue Dec 20 2011 cpan2dist 0.25-1mga
- initial mageia release, generated with cpan2dist
